## Class Swift_Events_ResponseEvent

(line 19)

## Description

    Swift_Events_EventObject
       |
       --Swift_Events_ResponseEvent

Located in File: /vendors/swiftMailer/classes/Swift/Events/ResponseEvent.php

##### Generated when a response is received on a SMTP connection.

- author: - Chris Corbyn

## Class Variables

Summary:

## Class Constants

Summary:

## Method Detail

Summary:
Swift_Events_ResponseEvent __construct (Swift_Transport $source, string $response, [boolean $valid = false])
string getResponse ()
boolean isValid ()

#### Constructor __construct (line 40)

#### Swift_Events_ResponseEvent __construct( Swift_Transport $source, string $response, [boolean $valid = false])

Overrides : Swift_Events_EventObject::__construct() Create a new EventObject originating at $source.

##### Create a new ResponseEvent for $source and $response.

#### Parameters

- Swift_Transport $source:
- string $response:
- boolean $valid:

#### Info

- access - public

#### Method getResponse (line 51)

#### string getResponse( )

##### Get the response which was received from the server.

#### Info

- access - public

#### Method isValid (line 60)

#### boolean isValid( )

##### Get the success status of this Event.

#### Info

- access - public

## Inherited Variables

### Inherited Class Variable Summary

## Inherited Methods

### Inherited Method Summary

#### Inherited From Class Swift_Events_EventObject

#### Swift_Events_EventObject::__construct() - Create a new EventObject originating at $source.

#### Swift_Events_EventObject::bubbleCancelled() - Returns true if this Event will not bubble any further up the stack.

#### Swift_Events_EventObject::cancelBubble() - Prevent this Event from bubbling any further up the stack.

#### Swift_Events_EventObject::getSource() - Get the source object of this event.

Documentation generated on Fri, 12 Nov 2010 20:45:28 +0000 by phpDocumentor 1.4.3